Part ElementCopy

From FreeCAD Documentation
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎русский

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Arrow-left.svg Previous: Part TransformedCopy.svg TransformedCopy

Part ElementCopy.svg Part ElementCopy

Menu location
Part → Create a copy → Create shape element copy
Workbenches
Part
Default shortcut
None
Introduced in version
0.19
See also
Part SimpleCopy, Part TransformedCopy, Part RefineShape

Description

Part ElementCopy produces a non-parametric copy of a sub-element of a particular object, that is, of a vertex, edge, or face.

To produce complete non-parametric copies of the objects use Part SimpleCopy.svg Simple Copy, Part TransformedCopy.svgTransformed Copy, or Part RefineShape.svg RefineShape

Usage

  1. Select a vertex, edge, or face of an object for which you wish to make a copy.
  2. Go to the menu Part → Create a copy → Part ElementCopy.svg Create shape element copy.

Properties

Data

The copy has a simple DataPlacement property like any other Part Feature.

View

The copy has simple view properties like any other Part Feature.

Scripting

The Part ElementCopy command can be applied after selecting one or more objects in the Tree view:

FreeCADGui.runCommand('Part_ElementCopy')

The selection can be manual (by using the mouse), or via the Python console.
To know more about selecting objects programmatically, refer to Selection methods.


Arrow-left.svg Previous: Part TransformedCopy.svg TransformedCopy